<?php
header('Content-Type: text/html; charset=windows-1251');


if (isset ($_REQUEST['utf8']))  // если не первый запуск
{$utf8=$_REQUEST['utf8'];}
else  // если первый запуск
{}
//--------------
include "../f.php";   //  вставим функции перекодировки  имен файлов и удаления папки
//--------------
?>
<html><head><meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>Стартовая форма</title>
<style>
td {color:#316290;font-family:tahoma;font-size:12px;font-weight:normal;}
th {color:#316290;font-family:tahoma;font-size:12px;font-weight:bold;}
a {color:#254A6C;font-family:tahoma;font-size:12px;font-weight:normal;}
.redlink {color:#B92327;font-family:tahoma;font-size:11px;font-weight:normal;}
.bluelink {color:#254A6C;font-family:tahoma;font-size:11px;font-weight:normal;}
a:hover {color:white;font-family:tahoma;font-size:12px;font-weight:normal;background:black}
</style>
</head>
<body background="../d~e~f/bkg.gif" leftMargin=0 id=bod topMargin=0 style="overflow:hidden;" width=100% height=100% >
<table id=h style="z-index:2;opacity:0.3;visibility:hidden;height:110%;width:110%;position:absolute;top:0;left:0;background:black;filter:alpha(opacity=30)"><tr><td>&nbsp;&nbsp;&nbsp;</td><tr></table> 

<?php 
$pa="12345";
$pa="ратору";
$da=false;
$os=false;   //  пароль не найден
$p="";
if (isset ($_REQUEST['T1']))  
{if (!empty($_REQUEST['T1'])) {$da=true;$p=$_REQUEST['T1'];}
else
{$p="";}
}

$typ=$_REQUEST['typ'];
if ($typ=="1")
{
if (file_exists(getcwd ( )."/1.txt"))
{unlink (getcwd ( )."/1.txt");}
echo '
<table id=monoz  border=0 style="width:100%;height:100%;z-index:3;position:absolute;top:0px;left:0px;">
<tr ><td width=30%>&nbsp;</td><td width=30%  valign=center align=center>
<table border=0 width=300 style="background:white" >
<tr>
<td  height=30px align=center><big style="color:red" >КОРРЕКТНОЕ ЗАВЕРШЕНИЕ РАБОТЫ АДМИНИСТРАТОРА !
<br>
Можно закрыть эту страницу ! </big>
</td></tr>
</table>
</td><td width=30%>&nbsp;</td></tr></table></body></html>';
die; 
}
// закрыть доступ на сайт
if ($typ=="2")
{
$w = fopen(getcwd ( )."/2.txt", 'w') or exit;   
fclose($w); 
}

// открыть доступ на сайт
if ($typ=="3")
{
if (file_exists(getcwd ( )."/2.txt"))
{unlink (getcwd ( )."/2.txt");}
}

// многопользователей
if ($typ=="12")
{
if (file_exists(getcwd ( )."/odin.txt"))
{unlink (getcwd ( )."/odin.txt");}
}

// один пользователь
if ($typ=="10")
{
$w = fopen(getcwd ( )."/odin.txt", 'w') or exit;   
fclose($w); 
}








if ($typ=="9")
{
echo '<center><big style=font-size:20;color:red;text-align:center>P H P in '.php_uname().'</big><br>';
echo '<button onclick=for2.elements("B1").click() style="background:white;color:red"  title="Для продолжения щелкни меня" >Продолжить</button></center>';
echo '<form id=for2 method="POST" action="start.php" style=display:none >
<input type="submit" value="  V  " name="B1" title="Завершить ввод пароля">
<input type="password" name="T1" size="15" value="'.$p.'"></form>';
echo '<div style="height:85%;width:100%;OVERFLOW: scroll;background:white">';
phpinfo();
echo '</div></body></html>';
die;
}
/////////////////////////////////////////////////////////////////////
// страницы сохранить = сформировать zip архив и сохранить на сервере
if ($typ=="4")
/////////////////////////////////////////////////////////////////////
{
//******************************************
//  функция рекурсия для формировния архива
function full_dir ($directory)
{global $zip;
$dir = opendir($directory);
  while (($file = readdir($dir)) !== false)
//  while(($file = readdir($dir)))
  {if ( is_file ($directory."/".$file))
   {$directory2=str_replace("../","",$directory);
$zip -> addFile($directory."/".$file, $directory2."/".$file);
  }
   else if ( is_dir ($directory."/".$file) && ($file != ".") && ($file != ".."))
    {
    $directory2=str_replace("../","",$directory);
	$zip->addEmptyDir($directory2."/".$file);
	full_dir ($directory."/".$file);
	}
  }
 }
 echo '<table height=100% width=100%><tr><td valign=center align=center>';
//******************************************************************
 if (strstr(" ".php_uname(), 'Windows'))   // архивация в Windows
 //*****************************************************************
 {$pathdir="../pages";
$nameArhive = '../../pages.zip';                  //название архива в корне
 if (file_exists($nameArhive))
{
unlink($nameArhive);
}
$zip = new ZipArchive;                            // класс для работы с архивами
ini_set('max_execution_time', 900);
if ($zip -> open($nameArhive, ZipArchive::CREATE) === TRUE)
{
full_dir ($pathdir);
// добавим в архив список страниц
$directory3="../otd/page.txt";
$directory4="pages/page.txt";
$zip -> addFile($directory3,$directory4);
$directory3="../menu/pages.txt";
$directory4="pages/pages.txt";
$zip -> addFile($directory3,$directory4);
$zip -> close();                                    // закрываем архив.
echo '<h2 style=color:red;text-align:center>Файлы структуры otd/page.txt, nenu/pages.txt и ВСЕ СТРАНИЦЫ СОХРАНЕНЫ В АРХИВЕ pages.zip
</h2>';
}
else           
{
   die ('Произошла ошибка при создании архива');
}
}
//********************************
else        // Архивация в Unix
//********************************
{
$nameArhive = '../../pages.tar.gz';   
 if (file_exists($nameArhive))
{
unlink($nameArhive);
}
$pathdir=str_replace('otd','',getcwd());
$pathdir2=str_replace('/gidra','',$pathdir);



copy('../otd/page.txt','../pages/page.txt'); 
copy('../menu/pages.txt','../pages/pages.txt'); 

//echo 
exec('tar -cvzf '.$nameArhive.' ../pages');
unlink ('../pages/page.txt');
unlink ('../pages/pages.txt');
echo '<h2 style=color:red;text-align:center>Файлы структуры otd/page.txt, menu/pages.txt и ВСЕ СТРАНИЦЫ СОХРАНЕНЫ В АРХИВЕ pages.tar.gz</h2>';
}
echo '<button onclick=for2.elements("B1").click() style="background:white;color:red"  title="Для продолжения щелкни меня" >Продолжить</button>';
echo '</td></tr></table>';
echo '<form id=for2 method="POST" action="start.php" style=display:none >
<input type="submit" value="  V  " name="B1" title="Завершить ввод пароля">
<input type="password" name="T1" size="15" value="'.$p.'">';
echo '</form></body></html>';
die;

}

//////////////////////////////
// страницы восстановить
//////////////////////////////
if ($typ=="5" or $typ=="55" )
{
ini_set('max_execution_time', 900);
echo '<table height=100% width=100%><tr><td valign=center align=center>';
if ($typ=="5")
{$zip2='../../pages.zip';
}
else
{$zip2='../../pages2.zip';
}


//*******************************************************************
if  (strstr(" ".php_uname(), 'Windows')) // восстановление в windows
//*******************************************************************
{
if (file_exists($zip2))
{
if ($typ=="5")
{if (file_exists('../pages'))
{
full_del_dir ('../pages'); 
}
}
$zip = new ZipArchive;
if ($zip->open($zip2) === TRUE) 
{   $zip->extractTo('../');
    $zip->close();
if ($typ=="5")
{	copy('../pages/page.txt','../otd/page.txt'); 
	copy('../pages/pages.txt','../menu/pages.txt'); 
    unlink ('../pages/page.txt');
	unlink ('../pages/pages.txt');
echo '<h2 style=color:red;text-align:center>Файлы структуры otd/page.txt, menu/pages.txt и ВСЕ СТРАНИЦЫ ВОССТАНОВЛЕНЫ из файла pages.zip</h2>';
echo '<center>Выполни: Изменить структуру -> Сохранить -> Принять измененную структуру</center><br>';
}	
else
{
echo '<h2 style=color:red;text-align:center>ВЫБОРОЧНЫЕ СТРАНИЦЫ ВОССТАНОВЛЕНЫ из файла pages2.zip</h2>';
echo '<center>Если восстановленные страницы отсутствуют в структуре введи их в структуру !</center><br>';
}
}
else
{echo '<h2 style=color:red;text-align:center>ОШИБКА СТРАНИЦЫ НЕ ВОССТАНОВЛЕНЫ, ВОЗМОЖНО НЕТ ФАЙЛА АРХИВА</h2>'; 
}
}
else
{
echo '<h2 style="color:red">Файл архива '.$zip2.' отсутствует ! Восстановление НЕВОЗМОЖНО !</h2>';
}

}
//************************************************
else   // восстановление в unix
//************************************************
{$pathdir=str_replace('otd','',getcwd());
$pathdir2=str_replace('/gidra','',$pathdir);
if ($typ=="5")
{
$zip2='../../pages.tar.gz';
}
else
{
$zip2='../../pages2.tar';
}
if (file_exists($zip2))
{
if ($typ=="5")
{if (file_exists('../pages'))
{
full_del_dir ('../pages'); 
}
}
try {
    $phar = new PharData($zip2);
    $phar->extractTo($pathdir,null,true);    // extract all files
if ($typ=="5")
{	copy('../pages/page.txt','../otd/page.txt'); 
	copy('../pages/pages.txt','../menu/pages.txt'); 
    unlink ('../pages/page.txt');
	unlink ('../pages/pages.txt');
echo '<h2 style=color:red;text-align:center>Файлы структуры otd/page.txt, menu/pages.txt и ВСЕ СТРАНИЦЫ ВОССТАНОВЛЕНЫ из файла pages.tar.gz</h2>';
echo '<center>Выполни: Изменить структуру -> Сохранить -> Принять измененную структуру</center><br>';
}	
else
{
echo '<h2 style=color:red;text-align:center>ВЫБОРОЧНЫЕ СТРАНИЦЫ ВОССТАНОВЛЕНЫ из файла pages2.tar</h2>';
echo '<center>Если восстановленные страницы отсутствуют в структуре введи их в структуру !</center><br>';
}
} catch (Exception $e) 
{
echo $e;
}
}
else
{
echo '<h2 style="color:red">Файл архива '.$zip2.' отсутствует ! Восстановление НЕВОЗМОЖНО !</h2>';
}
}
echo '<button onclick=for2.elements("B1").click() style="background:white;color:red"  title="Для продолжения щелкни меня" >Продолжить</button>';
echo '</td></tr></table>';
echo '<form id=for2 method="POST" action="start.php" style=display:none >
<input type="submit" value="  V  " name="B1" title="Завершить ввод пароля">
<input type="password" name="T1" size="15" value="'.$p.'">';
if (copy('../pages/page.txt','../otd/page.txt')) 
{
unlink ('../pages/page.txt');
}
else
{echo "<b>Ошибка при копировании otd/page.txt</b>";}
echo '</form></body></html>';
die;
}
////////////////////////
// справочник арохива
////////////////////////
if ($typ=="6" or $typ=="7" )
{
ini_set('max_execution_time', 900);
//*************************************************************
 if  (strstr(" ".php_uname(), 'Windows'))   //справка в Windows
//************************************************************* 
{
$za = new ZipArchive();

//echo date ("F d Y H:i:s.", filemtime('../../pages.zip'));
//echo filemtime ('../../pages.zip');


if ($typ=="6")
{
echo '<h2 style=color:red;text-align:center>В архиве всех страниц (pages.zip '.date ("F d Y H:i:s.", filemtime('../../pages.zip')).') содержаться следующие страницы и файлы:</h2>';
$za->open('../../pages.zip');
}
else
{
echo '<h2 style=color:red;text-align:center>В архиве выбранных страниц (pages2.zip '.date ("F d Y H:i:s.", filemtime('../../pages2.zip')).') содержаться следующие страницы:</h2>';
$za->open('../../pages2.zip');
}
echo '<center><button onclick=for2.elements("B1").click() style="background:white;color:red"  title="Для продолжения щелкни меня" >Продолжить</button></center>';
echo '<hr><div style="height:85%;width:100%;OVERFLOW: scroll;background:white"><ol>';
for ($i=0; $i<$za->numFiles;$i++) {
$one_file = $za->statIndex($i);
$mname=explode("/", $one_file["name"]);
if  (strstr($mname[1], '.php'))   
{
echo "<li>".rtr(str_replace(".php","",$mname[1]))."<br>\r\n";
}
else
{
if  (strstr($mname[1], '.txt') )   
{
echo "<li>".$mname[1]."<br>\r\n";
}
}
//echo $za->getFromIndex($i);
}
echo '</ol></div>';
}
//***************************
else     // справка в unix
//***************************
{
$mmm=array();  
$pathdir=str_replace('otd','',getcwd());
$pathdir2=str_replace('/gidra','',$pathdir);
echo '<center><button onclick=for2.elements("B1").click() style="background:white;color:red"  title="Для продолжения щелкни меня" >Продолжить</button></center>';
if ($typ=="6")
{
echo '<ol><h2 style=color:red;text-align:center>В архиве всех страниц pages.tar.gz '.date ("F d Y H:i:s.", filemtime('../../pages.tar.gz')).' содержаться следующие страницы и файлы:</h2>';
$za='../../pages.tar.gz ';
}
else
{
echo '<ol><h2 style=color:red;text-align:center>В архиве выбранных страниц pages2.tar '.date ("F d Y H:i:s.", filemtime('../../pages2.tar')).' содержаться следующие страницы:</h2>';
$za='../../pages2.tar ';
}
//echo exec('tar -tvf ../../pages2.tar' ,$mmm,$www);
exec('tar -tvf '.$za,$mmm,$www);
//print_r($mmm);
sort($mmm);
echo '<div style="height:450;width:100%;OVERFLOW: scroll;background:white"><ol>';
for ($i=0; $i<=count($mmm)-1;$i++) 
{
$mname=explode("/", $mmm[$i]);
if (strstr($mname[2], ".php"))  
{
echo "<li>".rtr(str_replace('.php','', $mname[2])) ."\r\n";
}
if  (strstr($mname[2], '.txt') )   
{
echo "<li>".$mname[2]."\r\n";
}


}
echo '</ol></div>';

//print_r($www);
}
//echo '<button onclick=for2.elements("B1").click() style="background:white;color:red"  title="Для продолжения щелкни меня" >Продолжить</button>';
echo '<form id=for2 method="POST" action="start.php" style=display:none >
<input type="submit" value="  V  " name="B1" title="Завершить ввод пароля">
<input type="password" name="T1" size="15" value="'.$p.'">'.
'</form>';

echo '</body></html>';
die;
}




if (isset ($_REQUEST['u']))
 {$utf8=1;
  $ip=getcwd().'/1251';
 if (file_exists($ip)) {rmdir($ip);}}  //  удалим папку 1251
 
if (isset ($_REQUEST['w'])) 	//  если щелкнул установить кодировку w -1251
 {$utf8=0;
  $ip=getcwd().'/1251';
 if (file_exists($ip)) {} 		// если  уже установлена наличием папки 1251
  else {mkdir($ip);}} 		 	//  создадим папку 1251

if (file_exists(getcwd().'/1251')) 
{$utf8=0;} else {$utf8=1;}     //  какая кодировка установлена определяется наличием папки 1251
echo '<table border="0" height=100% width="100%" style="position:absolute;top:0;left:0"><TBODY><TR><td align="center">';
$kat=getcwd ( );		 		// рабочий каталог 
if (!file_exists($kat."/otd.txt")) //  файла субъектов нет
{
$filenamew = $kat.'/otd.txt';	  	//сформируем заново страницу документов 
$hw = fopen($filenamew, 'w') or exit;  //файл для записи
$w='Кратко/Наименование/Пароль/Страницы';
fwrite($hw,c($w,1)."\r\n");
$w='Админ/Администратор/123/';
fwrite($hw,c($w,1)."\r\n");
fclose($hw);
$da=false; echo '<h3 style="color:red">Был удален файл  файл ../otd/otd.txt ! Файл восстановлен, поврежденные данные удалены ! Набери пароль администратора = 123 и нажми Enter. </h3>';
}
else
{
$l = file($kat."/otd.txt");
$ll=array();  
$i=0;
foreach ($l as $li => $lin)
{
$ll[$i++]=c($lin,0);
if ($li==1) // если строка администратора
{
//$stt=split("/", $ll[1]); //  строка  администратора
$stt=explode("/", $ll[1]); //  строка  администратора
$pa=$stt[2];
}
}
}
if ($da)  //  если введен пароль
{
if ($p==$pa) // если пароль администратора
{
$stt=explode("/", $ll[0]); // получим заголовки

echo '<nobr><b>СПИСОК СУБЪЕКТОВ</b>';
echo '&nbsp;<b>по возрастанию</b>&nbsp;<img id=ksort onclick=izs(this) src=../d~e~f/yes.gif title="СОРТИРОВАТЬ: ПО ВОЗРАСТАНИЮ: Отметь меня, щелкни текст заголовок в шапке; ПО УБЫВАНИЮ: Сбрось меня, щелкни текст заголовок в шапке;">
&nbsp;&nbsp;&nbsp;<button title="В начало" onclick=tnd(0) style="background:white">&nbsp;&#8593;&nbsp;</button>&nbsp;&nbsp
<button style="background:white" onclick=tnd(9999999) title="В конец">&nbsp;&#8595;&nbsp;</button>
&nbsp;&nbsp;&nbsp;
</nobr>';

  echo '<table  onclick=clz(this,event)   border="1" width="100%" style="background:#eee8aa"><THEAD><TR>'."\n";
  echo '<TH width=38><b title=0>N</b></TH>'."\n";
  for ($i = 0;$i<2; $i++) 
   {
   if ($i==0)
{
  echo '<TH width=83><b title=1>'.$stt[$i].'</b></TH>'."\n";
}
else
{   
   echo '<TH><b title=2>'.$stt[$i].'&nbsp;(доступ к страницам)</b></TH>'."\n";
   
   }}
  echo "</TR></THEAD></table>";

echo '<DIV id=k  style="OVERFLOW: scroll; background:#fffacd;HEIGHT:90%;width:400" align=left>';
echo '<table border="1"  width="100%"  ><TBODY><TR><td align="center" valign=center >';


// Осуществим проход массива и выведем номера строк и их содержимое


foreach ($ll as $li => $lin)
{
 if ($li==0)  // первая строка это заголовки столбцов
 {
  echo "<table border=3 id=tab2 width=100% ><TBODY>\n";
 }
 else  // сами строки
 {
  $stt=explode("/", $lin); // получим их
 echo '<tr>'."\n"; 
 if ($da)   //  если есть пароль
    {
      if ($stt[2]==$p or $p==$pa)  // если он совпадает с введенным или это пароль администратора     
      {	
        $os=true;   // пароль найден               
      echo '<TD width=35>'.$li.'</TD>'."\n";  
        for ($i = 0;$i<2; $i++) 
        {
        echo '<TD width=80>'.$stt[$i].'</TD>'."\n";
          if ($i=1)
          {
            if ($p==$pa)
			{
			echo '<td  title="'.trim($stt[2]).'"><a target=_blank  onclick=otd1(this,event) href="otd1.php'.'?nam='. $stt[1].'&pag='. $li.'">'.$stt[1]."</a></td>\n";
			}
             else
            {echo '<td ><a target=_blank href="otd1.php'.'?nam='. $stt[1].'&pag='. $li.'&pas='. $stt[2].'&pasa=1234322'.'&utf8='.$utf8.'">'.$stt[1]."</a></td>\n";}
           }
          else   {echo '<td>'.$stt[1]."</td>\n";} 
        }
      }
	  else
	  {
	 }
     }
     else   // пароля нет
     {
       echo '<td width=35>'.$li.'</td>'."\n";  
       for ($i = 0;$i<2; $i++) 
       {
         echo '<td width=80>'.trim($stt[$i]).'</td>'."\n";
         if ($i=1)
         {echo '<td ><a href="nopass.htm">'.trim($stt[1]).'</a></td>'."\n";}
         else   {echo '<td>'.trim($stt[1])."</td>\n";} 
       }
      }
  echo "</tr>\n";
 } 
}
echo '</tbody></table></div>';
echo '</td></tr></tbody></table>';
}
else  // пароль пользователя
{

foreach ($ll as $li => $lin)
{
 if ($li==0)  // первая строка это заголовки столбцов
 {}
 else  // сами строки
 {
  $stt=explode("/", $lin); // получим их
  if ($stt[2]==$p)  // если он совпадает с введенным 
{
  echo '<a id="to" onclick="otd1(this,event)" target=_blank href="otd1.php'.'?nam='. $stt[1].'&pag='. $li.'&pas='. $stt[2].'&pasa=1234322'.'&utf8='.$utf8.'">'.$stt[1]."</a>\n";
echo '<form id=pol method="POST" action="otd1.php">';
echo '<input type="submit" value="go" name="s" >';
echo '<input type="hidden" value="'. $stt[1].'" name="nam">';
echo '<input type="hidden" value="'. $li.'" name="pag">';
echo '<input type="hidden" value="'. $stt[2].'" name="pas">';
echo '<input type="hidden" value="'.$pa.'" name="gpas">';
echo '<input type="hidden" value="'. $utf8.'" name="utf8">';
echo '<input type="hidden" value="" name="typ">';
echo '</form>';
echo '<script language=VBS>
pol.elements("s").click()  
</script>';
break;
}
}}}}

?>
</td>
<td valign="center" align="center" valign=center><br>
<table border=0 width=100%><tbody><tr><td width=1%>
<img src="../d~e~f/z.png"></td><td>

<fieldset><center>

<b>Для сайтов и приложений &nbsp;&nbsp;&nbsp;
<a  href="../help/0.htm" target=_blank><b>&nbsp;Справка&nbsp;</b></a>
<br> <font color=red size=4> CMS "ONPHPONLY" V 5.31 от 06-08-2018
</font><br><br>
ВСЕ ДАННЫЕ В ФАЙЛАХ, NO_SQL ! &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;   <font style="color:red" >БЕСПЛАТНО !</font><br>
 <font color=red size=2>Внимание ! Подсистема работает только под IE v5.5 и выше,<br> но выполняющие скрипты VBS, создает сайты и приложения гарантировано работающие под IE, Opera, Mozilla и на мобильных усройствах (протестировано на Android v4).</font> 
 <br><br>Проектирование, программирование, авторское право:<br>Ясанкин В.Н., Ясанкина Г.П.  </b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
<a  href="mailto:yasankin@gmail.com&#13;&#10;"><b>Задать вопрос по e-mail</b></a>
 </center></fieldset>
 </td></tr></tbody></table>
<b style="color:red">Кодировка:
<?php if ($utf8==1) {echo "UTF-8";} else {echo "&nbsp;&nbsp;windows-1251";}
$rew=date_default_timezone_set("Asia/Krasnoyarsk");
//$rew=default_charset("windows-1251");
 ?>&nbsp;&nbsp;&nbsp; timezone:&nbsp;&nbsp;Asia/Russia/Krasnoyarsk</b>
<form method="POST" action="start.php" id=par>
<b>Введи пароль:</b>
<input type="password" name="T1" size="15" value="<?php  echo $p;  ?>">
<input type="submit" value="  V  " name="B1" title="Завершить ввод пароля">
<input type="reset"  value="  X  " name="B2"  title="Сбросить введенный пароль">
<input type="hidden"  value="  X  " name="T2"  title="Сбросить введенный пароль">
<input type="hidden"  value="<?php  echo $typ;  ?>" name="typ"  title="команда администратора">

<?php
  if ($da)   
  {
    if  ($os)
    {echo '<b><font style="background:green;color:white"><pre>  Доступ есть! </pre> '."</font></b>\n";
	
	 if ($p==$pa)
	 {// если уже есть администратор
     echo '<table id=adm border=1><tr><td width=250 valign=top><b>АДМИНИСТРАТОР МОЖЕТ:</b><br>';
if (file_exists(getcwd ( )."/2.txt"))
{
echo '<li><a  target=_blank href=# onclick=doso(event) style="color:green">ОТКРЫТЬ доступ на сайт</a>';
}
else
{
 echo '<li><a  target=_blank href=# onclick=dosc(event) style="color:red">ЗАКРЫТЬ доступ на сайт</a>';

	 echo '<li><a title="Добавление, удаление групп, подгрупп, страниц. Изменение их расположения на сайте" 
	  target=_blank href="../menu.php?utf8='.$utf8.'">Изменить структуру</a><br>'."\n".
	  '<li><a target=_blank href="../plan/m.php" title="Ввод, изменение данных, раположенных на главной стронице">Изменить главную страницу</a>'."\n<br>";
 } 
 
 if (file_exists(getcwd ( )."/odin.txt"))
{ echo '<li><a onclick=odin(12) title="Установить многопользовательский режим работы"   target=_blank href=#>Установить режим МНОГО</a>';

}
else
{echo '<li><a onclick=odin(10) title="Установить однопользовательский режим работы приложения"  target=_blank href=#>Установить режим ОДИН</a>';
}
 
 echo '<li><a onclick=saves(event)  target=_blank href=#>Страницы все сохранить</a>';
      echo '<li><a onclick=restoprs(5) target=_blank href=#>Страницы все восстановить</a>';
      echo '<li><a onclick=restoprs(55) target=_blank href=#>Страницы выбранные восстановить</a>';
if  (strstr(" ".php_uname(), 'Windows')) // восстановление в windows
//*******************************************************************
{
       echo '<li><a  target=_blank href=../../pages.zip>Архив всех страниц скачать</a>';
      echo '<li><a  target=_blank href=../../pages2.zip>Архив выбранных страниц скачать</a>';
}
else
{
      echo '<li><a  target=_blank href=../../pages.tar.gz>Архив всех страниц скачать</a>';
      echo '<li><a  target=_blank href=../../pages2.tar>Архив выбранных страниц скачать</a>';
  
}
	  //	  echo '<li><a  target=_blank href=#>Отчет по доступу</a>';
      echo '<li><a  target=_blank href=# onclick=php(event) title="Справка о ОС и PHP">PHP</a>';
      echo '<li><a  target=_blank href=# onclick=zak(event)>Завершить работу</a>';
	  echo '</td><td width=250 valign=top>'."\n";
	  echo '<b>СПРАВОЧНИКИ:</b><br>';
if (file_exists(getcwd ( )."/2.txt"))
{}
else
{

echo '	  <li><a title="Создание, изменеие, удаление субъетов, редактирующих сайт. " 
	  target=_blank href="../redspr.php?file=otd/otd.txt&im=';
 	  echo tr("справочника субъектов ведения сайта");
	  echo "&tip=";
	  echo "object";
	  echo '">Субъекты</a>'."\n";
	  echo '<li><a title="Ведение списка текстовых переменных"  target=_blank href="../tc.php">Текстовые переменные</a>';
	  echo '<li><a title="Ведение справочника расширений файлов-картинок которые можно грузить на сайт" 
	  target=_blank href="../redspr.php?file=otd/img.txt&im=';
 	  echo tr("справочника типа картинок которые можно грузить");
	  echo "&tip=";
	  echo "tip";
	  echo '">Расширения картинок</a>'."\n";
	  echo '<li><a title="Ведение справочника расширений файлов, которые можно грузить на сайт" 
	  target=_blank href="../redspr.php?file=otd/new.txt&im=';
 	  echo tr("справочника типа файлов которые можно грузить");
	  echo "&tip=";
	  echo "tip";
	  echo '">Расширения файлов для загрузки</a>'."\n";
	  echo '<li><a title="Справочник адресов электронной почты e-mail" 
target=_blank href="../redspr.php?file=menu/mail.txt &im=';
 	  echo tr("справочника почты");
	  echo "&tip=";
	  echo "mail";
	  echo '">Почта</a>'."\n";
echo '<li><a title="Справочник адресов в internet внешних сайтов http://" 
target=_blank href="../redspr.php?file=menu/http.txt &im=';
 	  echo tr("справочника внешних сайтов internet");
	  echo "&tip=";
	  echo "http";
	  echo '">Сайты</a>'."\n";
echo '<li><a title="Справочник адресов внешних файлов fttp://" 
target=_blank href="../redspr.php?file=menu/fttp.txt &im=';
 	  echo tr("справочника внешних файлов");
	  echo "&tip=";
	  echo "fttp";
	  echo '">Файлы</a>'."\n";
	  }
      echo '<li><a onclick=spra(6) target=_blank href=#>Справка архива всех страниц</a>';
      echo '<li><a onclick=spra(7) target=_blank href=#>Справка архива выборочных страниц</a>';
   	 echo '<li><a  href="../help/4.htm" target=_blank>&nbsp;Справка&nbsp;</a></td></tr></table>';	   

	 
	 
	 
	 //echo $typ."<hr>";
 
	 if (file_exists($kat."/1.txt") and $typ=="")
{
echo '<b style="color:red">В ПОДСИСТЕМЕ РАБОТАЕТ АДМИНИСТРАТОР, ИЛИ БЫЛО НЕКОРРЕКТНОЕ ЗАВЕРШЕНИЕ РАБОТЫ АДМИНИСТРАТОРА !</b>';
}
if (file_exists($kat."/2.txt"))
{echo '<b id=rep style="color:red"> Доступ на сайт ЗАКРЫТ(CLOSED) !</b>';}
else
{echo '<b  id=rep style="color:green"> Доступ на сайт ОТКРЫТ(OPENED) !</b>';}

if (file_exists($kat."/odin.txt"))
{echo '<b id=rep style="color:red"> Однопользовательский режим!</b>';}
else
{echo '<b  id=rep style="color:green"> Многопользовательский режим!</b>';}



	 echo  '<br><br><B>ПРАВА СУБЪЕКТОВ:</b><br>';
	  echo '</font>';
	  echo '<li>Для изменения пароля и прав доступа к страницам  щелкни  субъекта в столбце "Наименование"';
	  echo '<li>После ввода новых  и/или удаления старых субъектов, для их появления (удаления) в списке щелкни F5.</ul>';	
     $w = fopen($kat."/1.txt", 'w') or exit;   
     fclose($w); 

	  }
	}
    else
    {echo '<b><font style="background:red;color:white"><pre> Пароль - ошибка !  </pre>'."</font></b>\n";}
 }
   else
  {echo '<b><font style="background:red;color:white"><pre>   Нет доступа!   </pre>'."</font></b>\n";}
?>
</td></tr></tbody></table>
</form>
</center>
<form id=per method="POST" action="otd1.php" target=_blank>
<input type="submit" style="display:none" value="V" name="st" title="Завершить ввод пароля">
<input type="hidden"  value="" name="nam">
<input type="hidden"  value="" name="pag">
<input type="hidden"  value="<?php echo $p;?>" name="pas">
<input type="hidden"  value="<?php echo $pa;?>" name="gpas">
<input type="hidden"  value="<?php echo $utf8;?>" name="utf8">
<input type="hidden" value="" name="typ">
</form>
<script language="VBS">
per.elements("utf8").value="2"
</script>


<script type="text/javascript">
obj1=per
window.onload=function ()
{
if (navigator.appName=="Microsoft Internet Explorer") 
{}
else
{alert( "В н и м а н и е !"+"\n"+" Настоящая версия работает только под Microsoft Internet Explorer v 5.5 и  выше !"+"\n"+" Откройте страницу браузером Microsoft Internet Explorer."+"\n"+" Желаю успешной работы ! " )
window.location =".."
}
if (per.elements("utf8").value!="2")
{
alert( "В н и м а н и е !"+"\n"+" Microsoft Internet Explorer\r\n не обеспечивает работоспособность настоящей версии CMS ! \r\n Не выполняются скрипты VBS.    \r\n Откройте страницу браузером Microsoft Internet Explorer другой версии ! " )
window.location =".."
}
}
// Страницы сохранить
function saves(event)
{
event.cancelBubble = true
event.returnValue = false

if (document.getElementById('rep').innerHTML.indexOf('OPENED')>0) 
{
alert("Для сохранения закрой доступ на сайт !")
return
}

if (confirm("СОХРАНЕНИЕ ВСЕХ СТРАНИЦ\r\n\r\nСоздание архива может выполняться достаточно долго,\r\n дождитесь сообщения ВСЕ СТРАНИЦЫ СОХРАНЕНЫ В АРХИВЕ !")) 
{
document.getElementById("h").style.visibility="visible"
document.getElementById('rep').innerHTML=document.getElementById('rep').innerHTML+"<MARQUEE style='WIDTH: 100%' behavior=alternate>РАБОТАЕТ СОХРАНЕНИЕ ! ЖДИТЕ (WAIT) ...</MARQUEE>"
par.elements["typ"].value="4"
par.elements["B1"].click()
}
}

// Страницы восстановить
function restoprs(p)
{
event.cancelBubble = true
event.returnValue = false
if (document.getElementById('rep').innerHTML.indexOf('OPENED')>0) 
{
alert("Для восстановления закрой доступ на сайт !")
return
}

if (p=="5")
{
if (!confirm("ВОССТАНОВЛЕНИЕ ВСЕХ СТРАНИЦ\r\n\r\nВНИМАНИЕ ! Все существующие страницы будут УДАЛЕНЫ  !\r\n "+
"\r\nВосстановление архива может выполняться достаточно долго,\r\n дождитесь сообщения СТРАНИЦЫ ВОССТАНОВЛЕНЫ !"))
{return}
}
if (p=="55")
{
if (!confirm("ВОССТАОВЛЕНИЕ ВЫБОРОЧНЫХ СТРАНИЦ\r\n\r\nВНИМАНИЕ ! Страницы, восстанавливаемые \r\n из выборочного архива, должны быть в структуре,\r\n если их нет откорректируй файл структуры !"+
"\r\n\r\nВосстановление архива может выполняться достаточно долго,\r\n дождитесь сообщения СТРАНИЦЫ ВОССТАНОВЛЕНЫ !"))
{
return
}
}
document.getElementById("h").style.visibility="visible"
document.getElementById('rep').innerHTML=document.getElementById('rep').innerHTML+"<MARQUEE style='WIDTH: 100%' behavior=alternate>РАБОТАЕТ ВОССТАНОВЛЕНИЕ ! ЖДИТЕ (WAIT) ...</MARQUEE>"
par.elements["typ"].value=p
par.elements["B1"].click()



}



// Закрыть доступ на сайт
function dosc(event) 
{
event.cancelBubble = true
event.returnValue = false
par.elements["typ"].value="2"
par.elements["B1"].click()
}

// Открыть доступ на сайт
function doso(event) 
{
event.cancelBubble = true
event.returnValue = false
par.elements["typ"].value="3"
par.elements["B1"].click()
}


// Установить однопользовательский режим p=0 много p=2
function odin(p) 
{
event.cancelBubble = true
event.returnValue = false
par.elements["typ"].value=p
par.elements["B1"].click()
}






// справка архива
function spra(p) 
{
document.getElementById("h").style.visibility="visible"
event.cancelBubble = true
event.returnValue = false
par.elements["typ"].value=p
par.elements["B1"].click()
}


function php(event) 
{event.cancelBubble = true
event.returnValue = false
par.elements["typ"].value="9"
par.elements["B1"].click()
}




// завершение работы администратора
function zak(event) 
{event.cancelBubble = true
event.returnValue = false
par.elements["typ"].value="1"
par.elements["B1"].click()
}
// если закрылся администратор то ссобщение об отмене блокировок
/*
window.onbeforeunload = function (evt) {
if (document.getElementById("adm")!=undefined && par.elements["typ"].value!="")
{event.cancelBubble = true
event.returnValue = false
alert("НЕКОРРЕКТНО !\r\n Щелкни отмена !\r\n Щелкни Завершить работу!")
}
}
*/

obj=per
function otd1(p,event)
{
event = event || window.event
var t = event.target || event.srcElement
event.cancelBubble = true
event.returnValue = false
if (document.getElementById("adm")==undefined)
{alert("Не администратор !")
return
}
per.elements["nam"].value=t.innerHTML
z=t.href.split("pag=")
per.elements["pag"].value=z[1]
obj1=t.parentNode.parentNode
obj.style.background=""
obj1.style.background="yellow"
obj =obj1
per.elements["st"].click()
}
</script>



<script type="text/javascript">
function hel(j)
{
window.location =j
}


function tnd(p)
{document.getElementById('k').scrollTop=p}

function izs(p)
{if (p.src.indexOf('no.gif')>0) 
{p.src='../d~e~f/yes.gif'}
else
{p.src='../d~e~f/no.gif' }}


objvt=""
function clz(p,event)
{
event = event || window.event
var t = event.target || event.srcElement
//alert(t.tagName)
if (t.tagName!="B") return
obj1.style.background=""
if (objvt!="")
{objvt.parentNode.style.background=""
objvt.parentNode.style.color=""
}
isort=t.title
t.parentNode.style.background="yellow"
t.parentNode.style.color="brown"
if (document.getElementById("ksort").src.indexOf('no.gif')>0)
{sort2(2)}
else
{sort2(1)}

objvt=t
}




//********************************************************
function sort2(p)  // сортировка в таблице значений
//********************************************************
{

if (p==1 || p==2)
{
// сформируем массив сортировки
var mss = new Array();        // создали массив массивов (строки)
is=isort                    // столбец по которому сортируем  mas.length
mas=document.getElementById("tab2").getElementsByTagName("TR")
if (is==1 )
{for(var j = 0; j <mas.length ; j++)
{mas2=mas[j].getElementsByTagName("TD")
mss[j]=mas2[1].innerHTML+mas2[0].innerHTML+"#"+(j)
}
}
else if (is==0)
{
for(var j = 0; j <mas.length ; j++)
{mas2=mas[j].getElementsByTagName("TD")
tt=mas2[0].innerHTML
tt2="0000000"+tt
tt2=tt2.substr(parseInt(tt.length))
mss[j]=tt2+"#"+(j)

}
}
else
{
for(var j = 0; j <mas.length; j++)
{mas2=mas[j].getElementsByTagName("A")
mas22=mas[j].getElementsByTagName("TD")
mss[j]=mas2[0].innerHTML.toUpperCase()+mas22[0].innerHTML+"#"+(j)
}
}
mss=mss.sort()
mtr="<table border=3 id=tab2 width=100%>"
if (p==1)
{
for(var j = 0; j < mas.length; j++)
{sss=mss[j].split("#")
iii=parseInt(sss[1])
mtr=mtr+mas[iii].outerHTML
}
}
else
{
for(var j = mas.length-1; j>=0; j--)
{sss=mss[j].split("#")
iii=parseInt(sss[1])
mtr=mtr+mas[iii].outerHTML
}
}
document.getElementById("tab2").outerHTML=mtr+"</table>"
}
}
</script>
</body></html>
